## ros-noetic-py-trees-ros 0.6.1

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 3.0.2)
project(py_trees_ros)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()


##############################################################################
# Installs
##############################################################################

 catkin_install_python(
     PROGRAMS
         scripts/mock_battery
         scripts/mock_led_strip
         scripts/mock_component
         scripts/mock_safety_sensors
         scripts/tutorial_dashboard
         scripts/tutorial_tree
     DESTINATION
         ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

##############################################################################
# Unit Tests
##############################################################################

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== debian/changelog ===
ros-noetic-py-trees-ros (0.6.1-1buster) buster; urgency=high

  * [infra] python-setuptools -> python3-setuptools dependency fix

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Aug 2020 04:00:00 -0000

ros-noetic-py-trees-ros (0.6.0-1buster) buster; urgency=high

  * [infra] python3/noetic fixes, #167 <https://github.com/splintered-reality/py_trees_ros/pull/167>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Aug 2020 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.21-1buster) buster; urgency=high

  * [trees] option for bagging, , #159 <https://github.com/splintered-reality/py_trees_ros/pull/159>

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 06 Jun 2020 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.20-1buster) buster; urgency=high

  * [infra] don't fail for the runtime if qt is not found

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Mar 2020 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.19-1buster) buster; urgency=high

  * [blackboards] log a one-shot warning instead of exceptions when pickle fails, #157 <https://github.com/splintered-reality/py_trees_ros/pull/157>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Mar 2020 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.18-1buster) buster; urgency=high

  * [infra] merge kinetic and melodic release branches

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 23 Mar 2019 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.17-1buster) buster; urgency=high

  * [actions] remove redundant prints in the action behaviour

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 20 Feb 2019 05:00:00 -0000

ros-noetic-py-trees-ros (0.5.16-1buster) buster; urgency=high

  * [trees] added serialisation to Decorator

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 02 Feb 2019 05:00:00 -0000

ros-noetic-py-trees-ros (0.5.15-1buster) buster; urgency=high

  * [programs] blackboard-watcher can operate on the entire blackboard
  * [programs] tree-watcher added

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 02 Feb 2019 05:00:00 -0000

ros-noetic-py-trees-ros (0.5.13-1buster) buster; urgency=high

  * [doc] add many missing packages to satiate autodoc

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 28 May 2017 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.9-1buster) buster; urgency=high

  * [doc] add missing rqt-py-trees image
  * [infra] bugfix missing install rule for mock sensors script

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 16 Apr 2017 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.5-1buster) buster; urgency=high

  * [infra] missed the py_trees exec dependency, fixed.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 31 Mar 2017 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.4-1buster) buster; urgency=high

  * [docs] faq added
  * [tutorials] 9 - bagging
  * [infra] various dependency fixes for tests and autodoc
  * [tests] fix broken subscrirber test

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 25 Mar 2017 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.3-1buster) buster; urgency=high

  * [tutorials] 8 - dynamic loading, insertion and execution
  * [tutorials] 7 - docking, undocking, cancelling and recovery

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 21 Mar 2017 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.2-1buster) buster; urgency=high

  * [infra] add missing actionlib dependencies

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 19 Mar 2017 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.1-1buster) buster; urgency=high

  * [tutorials] 6 - context switching
  * [tutorials] re-insert missing images

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 19 Mar 2017 04:00:00 -0000

ros-noetic-py-trees-ros (0.5.0-1buster) buster; urgency=high

  * [docs] new and shiny index added
  * [tutorials] qt dashboard support
  * [tutorials] 5 - tree scanning added
  * [tutorials] 4 - tree introspection added
  * [tutorials] 3 - blackboards added
  * [tutorials] 2 - battery low branch added
  * [tutorials] 1 - data gathering added
  * [mock] a mock robot for tutorials and testing
  * [behaviours] action client, battery behaviours added
  * [infra] refactoring for kinetic

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 21 Feb 2017 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-py-trees-ros
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-py-trees, ros-noetic-python-qt-binding, ros-noetic-rostest, ros-noetic-rosunit
Homepage: http://ros.org/wiki/py_trees
Standards-Version: 3.9.2

Package: ros-noetic-py-trees-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, python3-termcolor, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-py-trees, ros-noetic-py-trees-msgs, ros-noetic-rosbag, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-unique-id, ros-noetic-uuid-msgs
Description: Ros extensions and behaviours for py_trees.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-py-trees-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
